Retrieve the available loyalty program config associated with the session.
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/loyalty/configconst url = 'https://{apiBaseUrl}/v2/{sessionId}/loyalty/config';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/loyalty/config"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/loyalty/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/loyalty/config");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/loyalty/config")
.asString();{
"login": "https://security.dailypoint.com/identity/connect/authorize?response_mode=form_post&client_id=DEdgeBookingEngine&response_type=id_token+token&scope=openid+email+dedge_be&state=17473880031020.967898100677647&nonce=17473880031020.967898100677647&host=d-edgeloyalty2.dailypoint.com&redirect_uri={redirect_uri}",
"registration": "https://security.dailypoint.com/identity/register?host=d-edgeloyalty2.dailypoint.com",
"loginConfig": {
"url": "https://security.dailypoint.com/identity/connect/authorize?response_mode=form_post&client_id=DEdgeBookingEngine&response_type=id_token+token&scope=openid+email+dedge_be&state=17473880031020.967898100677647&nonce=17473880031020.967898100677647&host=d-edgeloyalty2.dailypoint.com&redirect_uri={redirect_uri}",
"target": "popup"
},
"registrationConfig": {
"url": "https://security.dailypoint.com/identity/register?host=d-edgeloyalty2.dailypoint.com",
"target": "popup"
},
"guestPortal": "https://loyalty-rewards.dailypoint.com",
"isTeaserActivated": true,
"levels": [
{
"level": 1,
"code": "Silver"
},
{
"level": 2,
"code": "Gold"
},
{
"level": 3,
"code": "Platinum"
}
]
}{
"code": "InvalidSessionId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Loyalty
Retrieve the available loyalty program config
Retrieve the available loyalty program config associated with the session
GET
/
v2
/
{sessionId}
/
loyalty
/
config
Retrieve the available loyalty program config associated with the session.
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/loyalty/configconst url = 'https://{apiBaseUrl}/v2/{sessionId}/loyalty/config';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/loyalty/config"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/loyalty/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/loyalty/config");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/loyalty/config")
.asString();{
"login": "https://security.dailypoint.com/identity/connect/authorize?response_mode=form_post&client_id=DEdgeBookingEngine&response_type=id_token+token&scope=openid+email+dedge_be&state=17473880031020.967898100677647&nonce=17473880031020.967898100677647&host=d-edgeloyalty2.dailypoint.com&redirect_uri={redirect_uri}",
"registration": "https://security.dailypoint.com/identity/register?host=d-edgeloyalty2.dailypoint.com",
"loginConfig": {
"url": "https://security.dailypoint.com/identity/connect/authorize?response_mode=form_post&client_id=DEdgeBookingEngine&response_type=id_token+token&scope=openid+email+dedge_be&state=17473880031020.967898100677647&nonce=17473880031020.967898100677647&host=d-edgeloyalty2.dailypoint.com&redirect_uri={redirect_uri}",
"target": "popup"
},
"registrationConfig": {
"url": "https://security.dailypoint.com/identity/register?host=d-edgeloyalty2.dailypoint.com",
"target": "popup"
},
"guestPortal": "https://loyalty-rewards.dailypoint.com",
"isTeaserActivated": true,
"levels": [
{
"level": 1,
"code": "Silver"
},
{
"level": 2,
"code": "Gold"
},
{
"level": 3,
"code": "Platinum"
}
]
}{
"code": "InvalidSessionId"
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Headers
Path Parameters
Response
Returns the loyalty config
Enable the display of loyalty prices, even if the client is not logged
Define how to login to the loyalty provider
Show child attributes
Show child attributes
Define how to register to the loyalty provider
Show child attributes
Show child attributes
The loyalty program name, configured for each group on the Extranet
The Loyalty provider portal URL, configured for each group on the Extranet
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?